using Sunny.UI;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Permission;
public class MyUiTextInput : MyUiInput
{
    public MyUiTextInput()
    {
        
    }

    protected override void OnCunstomClick(EventArgs e)
    {
        // 执行软键盘逻辑（由子类或当前类决定）
        if (UseSoftKeyboard)
        {
            ShowSoftKeyboard();
        }
    }
    private void ShowSoftKeyboard()
    {
        // 父类的默认行为：弹出软键盘
        var kb = new FullKeyboardForm(Text);
        kb.PasswordChar = PasswordChar;
        var dr = kb.ShowDialog();
        if (dr == DialogResult.OK && kb.ValueChanged)
        {
            Text = kb.Value;
        }
    }
}

